Troubleshooting PS Agent connection problem

Document ID : KB000089246
Last Modified Date : 14/04/2018
Show Technical Document Details
Issue:
Affects Release version(s): 6.00A

Troubleshooting PS Agent connection problem
Resolution:
Detailed Description and Symptoms
U2007014 Interface version 'V1.0x' is different from configuration settings in the INI file ('V1.0x').

This error message appears in the PS Agent logs indicating a problem with the PS Agent not connecting to the PeopleSoft Application Server.  This is likely due to one of the following reasons:
 
 1) The wrong project files (i.e.: version of the Automic Interface) have been loaded to the PeopleTools Database (ex.: V1.03 instead of V1.02).
 2) The PeopleTools version for the PeopleSoft Application Server is different from the Interface version used in the PS Agent "ini" file.

Investigation
The customer's PS admin should be able to determine which component interface version (ex.: v1.02 or v1.03 project) was loaded (imported) into the PeopleTools Database.  This is done by checking the permission list (Automic_ALL) assigned to the Automic Operator IDs (component interfaces) per the documentation ("Automic Interface"> Procedure 3. Set Access Authorization).

Solution
After the PS admin confirms the PT version on that PS App Server (ex.: 8.5x, 8.4x, etc) and which version of the Automic project files were loaded to the PeopleTools DB, the customer will need to do one of the following to resolve the problem:

1) Import the correct project files that correspond to the version of PeopleTools:
 Automic_V1_02 for PT 8.4x
  
 Automic_V1_03 for PT 8.5x


2) Change the Interface version used in the PS Agent "ini" file to the appropriate version to match the PT version on that PS App Server:

Example - For PT version 8.5x, make this entry to the PS Agent's "ini" file:

[PRCS_SBB_JAVA]
; Enable use of Automic Interface with PeopleSoft Java Object Adapter (recommended)
; 0 = disabled
; 1 = enabled
enabled=1
Version=V1.03